Properties
Date: 2016-06-24

java.util

## Class Properties

- java.lang.Object
- - java.util.Dictionary
  - - java.util.Hashtable
    - - java.util.Properties

- All Implemented Interfaces:
    Serializable, Cloneable, Map
  Direct Known Subclasses:
    Provider

      public class Properties
      extends Hashtable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Properties` | `defaults`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Properties()`
    `Properties(Properties var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getProperty(String var0)`
    `String` | `getProperty(String var0, String var1)`
    `void` | `list(PrintStream var0)`
    `void` | `list(PrintWriter var0)`
    `void` | `load(InputStream var0)`
    `Enumeration` | `propertyNames()`
    `void` | `save(OutputStream var0, String var1)` Deprecated.
    `Object` | `setProperty(String var0, String var1)`
    `void` | `store(OutputStream var0, String var1)`

    - ### Methods inherited from class java.util.Hashtable

      `clear, clone, contains, containsKey, containsValue, elements, entrySet, get, isEmpty, keys, keySet, put, putAll, rehash, remove, size, values`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Field Detail

    - #### defaults

          protected Properties defaults

  - ### Constructor Detail

    - #### Properties

          public Properties()

    - #### Properties

          public Properties(Properties var0)

  - ### Method Detail

    - #### getProperty

          public String getProperty(String var0)

    - #### getProperty

          public String getProperty(String var0,
                           String var1)

    - #### list

          public void list(PrintStream var0)

    - #### list

          public void list(PrintWriter var0)

    - #### load

          public void load(InputStream var0)
                    throws IOException

      Throws:
        `IOException`

    - #### propertyNames

          public Enumeration propertyNames()

    - #### save

          public void save(OutputStream var0,
                  String var1)

      Deprecated.

    - #### setProperty

          public Object setProperty(String var0,
                           String var1)

    - #### store

          public void store(OutputStream var0,
                   String var1)
                     throws IOException

      Throws:
        `IOException`